# -*- encoding: utf-8 -*-
# stub: sup 1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "sup".freeze
  s.version = "1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["William Morgan".freeze, "Gaute Hope".freeze, "Hamish Downer".freeze, "Matthieu Rakotojaona".freeze]
  s.date = "2020-07-23"
  s.description = "    Sup is a console-based email client for people with a lot of email.\n\n    * GMail-like thread-centered archiving, tagging and muting\n    * Handling mail from multiple mbox and Maildir sources\n    * Blazing fast full-text search with a rich query language\n    * Multiple accounts - pick the right one when sending mail\n    * Ruby-programmable hooks\n    * Automatically tracking recent contacts\n".freeze
  s.email = "supmua@googlegroups.com".freeze
  s.extra_rdoc_files = ["man/sup-add.1".freeze, "man/sup-config.1".freeze, "man/sup-dump.1".freeze, "man/sup-import-dump.1".freeze, "man/sup-psych-ify-config-files.1".freeze, "man/sup-recover-sources.1".freeze, "man/sup-sync-back-maildir.1".freeze, "man/sup-sync.1".freeze, "man/sup-tweak-labels.1".freeze, "man/sup.1".freeze]
  s.files = ["man/sup-add.1".freeze, "man/sup-config.1".freeze, "man/sup-dump.1".freeze, "man/sup-import-dump.1".freeze, "man/sup-psych-ify-config-files.1".freeze, "man/sup-recover-sources.1".freeze, "man/sup-sync-back-maildir.1".freeze, "man/sup-sync.1".freeze, "man/sup-tweak-labels.1".freeze, "man/sup.1".freeze]
  s.homepage = "https://sup-heliotrope.github.io/".freeze
  s.licenses = ["GPL-2.0".freeze]
  s.post_install_message = "SUP: please note that our old mailing lists have been shut down,\n     re-subscribe to supmua@googlegroups.com to discuss and follow\n     updates on sup (send email to: supmua+subscribe@googlegroups.com).\n\n     OpenBSD users:\n     If your operating system is OpenBSD you have some\n     additional, manual steps to do before Sup will work, see:\n     https://github.com/sup-heliotrope/sup/wiki/Installation%3A-OpenBSD.\n".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "3.1.2".freeze
  s.summary = "A console-based email client with the best features of GMail, mutt and Emacs".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<ncursesw>.freeze, ["~> 1.4.0"])
    s.add_runtime_dependency(%q<rmail>.freeze, ["~> 1.1"])
    s.add_runtime_dependency(%q<highline>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<optimist>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<lockfile>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<mime-types>.freeze, ["> 2.0"])
    s.add_runtime_dependency(%q<locale>.freeze, ["~> 2.0"])
    s.add_runtime_dependency(%q<chronic>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<unicode>.freeze, ["~> 0.4.4"])
    s.add_runtime_dependency(%q<unicode-display_width>.freeze, [">= 0"])
    s.add_development_dependency(%q<bundler>.freeze, [">= 1.3", "< 3"])
    s.add_development_dependency(%q<rake>.freeze, [">= 0"])
    s.add_development_dependency(%q<minitest>.freeze, ["~> 5.5.1"])
    s.add_development_dependency(%q<rr>.freeze, ["~> 1.1"])
    s.add_development_dependency(%q<gpgme>.freeze, [">= 2.0.2"])
    s.add_development_dependency(%q<pry>.freeze, [">= 0"])
  else
    s.add_dependency(%q<ncursesw>.freeze, ["~> 1.4.0"])
    s.add_dependency(%q<rmail>.freeze, ["~> 1.1"])
    s.add_dependency(%q<highline>.freeze, [">= 0"])
    s.add_dependency(%q<optimist>.freeze, [">= 0"])
    s.add_dependency(%q<lockfile>.freeze, [">= 0"])
    s.add_dependency(%q<mime-types>.freeze, ["> 2.0"])
    s.add_dependency(%q<locale>.freeze, ["~> 2.0"])
    s.add_dependency(%q<chronic>.freeze, [">= 0"])
    s.add_dependency(%q<unicode>.freeze, ["~> 0.4.4"])
    s.add_dependency(%q<unicode-display_width>.freeze, [">= 0"])
    s.add_dependency(%q<bundler>.freeze, [">= 1.3", "< 3"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.5.1"])
    s.add_dependency(%q<rr>.freeze, ["~> 1.1"])
    s.add_dependency(%q<gpgme>.freeze, [">= 2.0.2"])
    s.add_dependency(%q<pry>.freeze, [">= 0"])
  end
end
